<h2 mat-dialog-title>Borrar Usuario</h2>
<mat-dialog-content class="mat-typography">
  <h3>Confirmar</h3>
  <p>
      Esta seguro que desea borrar a {{user.name}} {{user.lastname}} del sistema?
      Este paso no se puede deshacer.
  </p>
</mat-dialog-content>
<mat-dialog-actions align="end">
  <button mat-button [mat-dialog-close]="false">Cancelar</button>
  <button mat-button [mat-dialog-close]="deleteUser()" color="warn" cdkFocusInitial>Borrar</button>
</mat-dialog-actions>